ZSNES v1.51(1)

NAME
ZSNES - Super Nintendo console emulator

SYNOPSIS
ZSNES [-?] [-1 #] [-2 #] [-dd] [-dh] [-f #] [-g #] [-h | -l] [-j] [-js #] [-k #] [-m] [-mc] [-md] [-ml #] [-n #] [-o] [-p #] [-r #] [-s] [-sa] [-t | -u] [-v #] [-y] [-z] [-zm #] [-zs #] [romname]

DESCRIPTION
ZSNES is an emulator for the Super Nintendo video game console. It is written in a combination of x86 assembly, C, C++, and PSR. It is currently available on Windows, DOS, x86 Linux, x86 Mac OS X, and x86 BSD. Visit http://www.zsnes.com/ for the latest updates.

OPTIONS
Note: Many of these options can also be set in the GUI.

-?  Display command-line help

-1 # / -2 #
    Set controls for Player 1/2
    0 = None       1 = Keyboard/Gamepad

-dd Disable sound DSP emulation

-dh Disable game hacks

-f #
    Enable frame skipping, where # is a numerical value from 0-9

-g #
    Specify gamma correction value, where # is a numerical value from 0-15

-h  Force HiROM. Cannot be used with -l

-j  Disable Mouse (Automatically turns off right mouse click)

-js #
    Adjust joystick sensitivity, where # is a numerical value from 0-32767

-k #
    Set volume level, where # is a numerical value from 1-100

-l  Force LoROM. Cannot be used with -h

-m  Disable GUI (Must specify ROM filename)

-mc Exit ZSNES when closing a movie (use with -zm)

-md Dump raw video (use with -zm)

-ml Define movie dump length in amount of frames (use with -md)

-n #
    Enable scanlines (when available), where # is one of:
    0 = none       1 = full            2 = 25%
    3 = 50%

-o  Disable MMX support

-p #
    Change the clock speed of the main CPU, where # is a numerical value from 50-150. 100 is the normal speed. Changing this value may have adverse side effects.

-r #
    Set audio sampling rate, where # is one of:
    0 = 8 KHz      1 = 11.025 KHz     2 = 22.05 KHz
    3 = 44.1 KHz   4 = 16 KHz         5 = 32 KHz
    6 = 48 KHz

-s  Enable SPC700/DSP emulation (Sound)

-sa Show files with all extensions (*.*) in GUI. Default is to only show files with one of the extensions listed in romname

-t  Force NTSC (60 Hz) timing. Cannot be used with -u

-u  Force PAL (50 Hz) timing. Cannot be used with -t

-v #
    Select video mode, where # is one of:
     0 = 256x224 R W      1 = 256x224 R F      2 = 512x448 DR W
     3 = 512x448 DR F     4 = 640x480 DR F     5 = 256x224 OR W
     6 = 512x448 ODR      7 = 640x480 ODS F    8 = 640x480 ODS W
     9 = 640x560 ODR W   10 = 768x672 ODR W   11 = 800x600 ODS F
    12 = 800x600 ODS W   13 = 896x784 ODR W   14 = 1024x768 ODS F
    15 = 1024x768 ODS W  16 = 1024x896 ODR W  17 = 1280x960 ODS F
    18 = 1280x1024 ODS F 19 = 1600x1200 ODS F 20 = VARIABLE ODR W
    21 = VARIABLE ODS W  22 = CUSTOM OD F

-y  Enable Interpolation

-z  Disable stereo sound. Stereo sound is enabled by default

-zm #
    Auto load specified movie on startup, where # is a numerical value from 0-9

-zs #
    Auto load specified save state on startup, where # is a numerical value from 0-99

romname
    Name of ROM to auto-load romname is of the format filename.ext, where .ext is one of SMC, SFC, SWC, FIG, MGD, MGH, UFO, BIN, GD3, GD7, USA, EUR, JAP, AUS, ST, BS, DX2, 048, 058, 078, 1 or A. You can also load ROMs which have been compressed with GZip, Zip or JMA.

FILES AND DIRECTORIES

ZSNES
    The main program.

~/.zsnes
    This is the directory where ZSNES configuration files are stored. By default, it is also the directory where save states, screenshots, SPC dumps and ZMV movie files are stored, but you can change this behaviour by editing zsnesl.cfg. This directory is created by ZSNES.

~/.zsnes/zsnesl.cfg
    This file is where configuration settings for ZSNES are stored. It is in a human-readable format and can be edited by hand. It is created by ZSNES.

~/.zsnes/zmovie.cfg
    This file is where settings specific to AVI dumping are saved. It is created by ZSNES.

~/.zsnes/zfont.txt
    This file allows you to customize the fonts in the GUI. Enable "Use Custom Font" in the GUI Options menu. It is created by ZSNES.

~/.zsnes/zinput.cfg
    This file is where input configuration settings for ZSNES are stored. If for some reason you update your version of ZSNES and it keeps crashing before you can do anything, you should try deleting the above .cfg files and let ZSNES create new ones.

SPECIAL CHIP GAMES
Many games on the Super Nintendo used custom CPUs in addition to the main SNES CPU. Some of these CPUs have not been fully reverse-engineered, and games that use them may either not work or may experience strange bugs. You can find more information about these special CPUs at: http://users.tpg.com.au/advlink/dsp/ http://nsrt.edgeemu.com/INFO/chipinfo.htm

GRAPHICS PACKS
Some games based on the SPC7110 chip, such as Far East of Eden Zero, can use special graphics packs to work around unemulated portions of their custom CPU. These graphics packs must be stored in individual directories within the save directory, which is specified in zsnesl.cfg. By default, this is ~/.zsnes. The directory name of each graphics pack must be capitalized and all files within that directory must be in lowercase. The proper directory name for a given graphics pack can be found in the readme file included with that pack. NOTE: As of version 1.40, games which use the S-DD1 chip (Star Ocean and Street Fighter Alpha 2) do not require graphics packs.

REPORTING BUGS
You can report bugs using the bug tracker at the ZSNES BountySource page, located at http://zsnes.bountysource.com/development/

AUTHORS
Please refer to the "About" section of the documentation.

ZSNES RELATED WEBSITES

ZSNES Home Page:
    http://www.zsnes.com/

ZSNES Board:
    http://board.zsnes.com/

ZSNES Project Page:
    https://zsnes.bountysource.com/

ZSNES Repository (SubVersioN):
    https://svn.bountysource.com/zsnes/trunk/

ZSNES Documentation Online:
    http://zsnes-docs.sf.net/

ZSNES IRC:
    #zsnes on irc.freenode.net

ZSNES Docs IRC:
    #zsnes-docs on irc.freenode.net

COPYRIGHT NOTICE
Copyright © 1997-2007 ZSNES Team Permission is granted to copy and distribute this manual under the terms of the GNU Free Documentation License.